## dulwich 0.16.3

=== Makefile ===
PYTHON = python
PYFLAKES = pyflakes
PEP8 = pep8
SETUP = $(PYTHON) setup.py
PYDOCTOR ?= pydoctor
TESTRUNNER ?= unittest
RUNTEST = PYTHONHASHSEED=random PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)

DESTDIR=/

all: build

doc:: pydoctor
doc:: sphinx

sphinx::
	$(MAKE) -C docs html

pydoctor::
	$(PYDOCTOR) --make-html -c dulwich.cfg

build::
	$(SETUP) build
	$(SETUP) build_ext -i

install::
	$(SETUP) install --root="$(DESTDIR)"

check:: build
	$(RUNTEST) dulwich.tests.test_suite

check-tutorial:: build
	$(RUNTEST) dulwich.tests.tutorial_test_suite

check-nocompat:: build
	$(RUNTEST) dulwich.tests.nocompat_test_suite

check-compat:: build
	$(RUNTEST) dulwich.tests.compat_test_suite

check-pypy:: clean
	$(MAKE) check-noextensions PYTHON=pypy

check-noextensions:: clean
	$(RUNTEST) dulwich.tests.test_suite

check-all: check check-pypy check-noextensions

clean::
	$(SETUP) clean --all
	rm -f dulwich/*.so

flakes:
	$(PYFLAKES) dulwich

pep8:
	$(PEP8) dulwich

before-push: check
	git diff origin/master | $(PEP8) --diff

=== debian/changelog ===
dulwich (0.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream applied patch 'older-git'.
  * Update homepage to www.dulwich.io.
  * Drop (now unnecessary) workaround for #799485.
  * Add autopkgtest for python3 testsuite.
  * Disable pypy-dulwich build on architectures where pypy is not
    available (hurd-any, m68k, sh4, x32).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jan 2017 02:12:51 +0000

dulwich (0.16.1-2) unstable; urgency=low

  * Add patch older-git: skip worktree list test against older versions
    of git.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Dec 2016 11:24:46 +0000

dulwich (0.16.1-1) unstable; urgency=medium

  * New upstream release.
   + Fixes Python3 compatibility of `dulwich.contrib.release_robot`.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Dec 2016 13:42:56 +0000

dulwich (0.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Dec 2016 23:51:50 +0000

dulwich (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to reflect that dulwich is now licensed under
    dual GPLv2+/Apache-2.
  * Extend lintian overrides for testdata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Oct 2016 12:54:38 +0000

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.dulwich.io/
Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9), python-unittest2, git (>= 1:1.7.0.4-2) | git-core, python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dulwich.git
XS-Testsuite: autopkgtest

Package: python-dulwich
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: bzr-git (<< 0.6.2)
Suggests: python-dulwich-dbg
Recommends: python-fastimport
Description: Python Git library
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for Python version 2.x.

Package: python-dulwich-dbg
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-dbg, python-dulwich (= ${binary:Version})
Priority: extra
Section: debug
Description: Python Git library - Debug Extension
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: pypy-dulwich
Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x alpha hppa kfreebsd-any powerpc powerpcspe ppc64 sparc64
Provides: ${pypy:Provides}
Depends: ${pypy:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: pypy-fastimport
Description: Python Git library - pypy module
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for pypy.

Package: python3-dulwich
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: bzr-git (<< 0.6.2)
Suggests: python3-dulwich-dbg
Recommends: python3-fastimport
Description: Python Git library - Python3 module
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for Python version 3.x.

Package: python3-dulwich-dbg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-dbg, python3-dulwich (= ${binary:Version})
Priority: extra
Section: debug
Description: Python Git library - Python 3 Debug Extension
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

pyflavours = python2,python3$(shell which pypy >/dev/null && echo -n ,pypy)

%:
	dh $* --with $(pyflavours) --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build*
	rm -f dulwich/*.so dulwich/*.o

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check PYTHON=python
	$(MAKE) check PYTHON=python3
ifneq (,$(findstring pypy,$(pyflavours)))
	$(MAKE) check PYTHON=pypy
endif
endif

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
	  $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done;
ifneq (,$(findstring pypy,$(pyflavours)))
	pypy setup.py build -b build-pypy install --root=$(CURDIR)/debian/tmp --install-layout deb
	rm -rf debian/tmp/usr/lib/pypy/bin
endif
	# Install everything excluding the *_d.so debug extensions to python-dulwich and python3-dulwich
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*/*-packages" -p python-dulwich
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python3*/*-packages" -p python3-dulwich
	# Install the debug extensions to python-dulwich-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg
ifneq (,$(findstring pypy,$(pyflavours)))
	# Install the pypy files to pypy-dulwich
	dh_install "debian/tmp/usr/lib/pypy/" -p pypy-dulwich
endif

override_dh_installdocs:
	dh_installdocs -ppython-dulwich-dbg --link-doc=python-dulwich
	dh_installdocs -ppython3-dulwich-dbg --link-doc=python3-dulwich
	dh_installdocs -ppython-dulwich docs/tutorial -X.gitignore -XMakefile
	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile
ifneq (,$(findstring pypy,$(pyflavours)))
	dh_installdocs -ppypy-dulwich docs/tutorial -X.gitignore -XMakefile
endif

override_dh_strip:
	dh_strip -p python-dulwich --dbg-package=python-dulwich-dbg
	dh_strip -p python3-dulwich --dbg-package=python3-dulwich-dbg
ifneq (,$(findstring pypy,$(pyflavours)))
	# For the moment, there is no dbg package for pypy-dulwich.
	dh_strip -p pypy-dulwich
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## dulwich 0.18.2

=== debian/changelog ===
dulwich (0.18.2-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:10:58 +1200

dulwich (0.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Only build-depend on git on platforms where it is available.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Aug 2017 23:19:14 +0000

dulwich (0.18.1-2) unstable; urgency=medium

  * Make build-dependency on git optional, since it's not available on
    all platforms and only used for the testsuite.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Jul 2017 22:21:12 +0000

dulwich (0.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Jul 2017 09:36:13 +0000

dulwich (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh upstream signing key.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Jul 2017 01:15:59 +0000

dulwich (0.17.3-2) unstable; urgency=medium

  * Stop shipping pypy C extensions in python-dulwich. Closes: #868542

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 24 Jul 2017 23:51:07 +0000

dulwich (0.17.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Jun 2017 19:39:41 +0000

dulwich (0.17.1-1) experimental; urgency=medium

  * Remove -dbg packages and migrate to -dbgsym packages.
  * New upstream version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 01 Mar 2017 20:37:39 +0000

=== debian/control ===
Source: dulwich
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.dulwich.io/
Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9.20160114), python-unittest2, git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32], python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dulwich.git
XS-Testsuite: autopkgtest

Package: python-dulwich
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: bzr-git (<< 0.6.2)
Recommends: python-fastimport
Description: Python Git library
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for Python version 2.x.

Package: pypy-dulwich
Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x alpha hppa kfreebsd-any powerpc powerpcspe ppc64 sparc64
Provides: ${pypy:Provides}
Depends: ${pypy:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: pypy-fastimport
Description: Python Git library - pypy module
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for pypy.

Package: python3-dulwich
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: bzr-git (<< 0.6.2)
Recommends: python3-fastimport
Description: Python Git library - Python3 module
 Dulwich is a Python implementation of the file formats and protocols
 used by the Git version control system. It can currently read from and write
 to existing Git repositories and implements the protocol for pushing and
 receiving packs from remote servers.
 .
 All functionality is available in pure Python, but for improved performance
 replacements of some modules written in C are also available. This package
 includes the high performance versions.
 .
 This package contains the module built for Python version 3.x.

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,8 @@
 	rm -rf debian/tmp/usr/lib/pypy/bin
 endif
 	# Install everything excluding the *_d.so debug extensions to python-dulwich and python3-dulwich
-	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*/*-packages" -p python-dulwich
-	dh_install -X"*_d.so" "debian/tmp/usr/lib/python3*/*-packages" -p python3-dulwich
+	dh_install -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python2*/*-packages" -p python-dulwich
+	dh_install -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python3*/*-packages" -p python3-dulwich
 	# Install the debug extensions to python-dulwich-dbg
 	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg
 ifneq (,$(findstring pypy,$(pyflavours)))
@@ -60,10 +60,9 @@
 endif
 
 override_dh_strip:
-	dh_strip -p python-dulwich --dbg-package=python-dulwich-dbg
-	dh_strip -p python3-dulwich --dbg-package=python3-dulwich-dbg
+	dh_strip -p python-dulwich --dbgsym-migration='python-dulwich-dbg (<< 0.16.4-1)'
+	dh_strip -p python3-dulwich --dbgsym-migration='python3-dulwich-dbg (<< 0.16.4-1)'
 ifneq (,$(findstring pypy,$(pyflavours)))
-	# For the moment, there is no dbg package for pypy-dulwich.
 	dh_strip -p pypy-dulwich
 endif

## dulwich 0.18.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 PYTHON = python
 PYFLAKES = pyflakes
 PEP8 = pep8
+FLAKE8 ?= flake8
 SETUP = $(PYTHON) setup.py
 PYDOCTOR ?= pydoctor
 TESTRUNNER ?= unittest
 RUNTEST = PYTHONHASHSEED=random PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
+COVERAGE = python3-coverage
 
 DESTDIR=/
 
@@ -56,5 +58,14 @@
 pep8:
 	$(PEP8) dulwich
 
+style:
+	$(FLAKE8) --exclude=build,.git,build-pypy,.tox
+
 before-push: check
 	git diff origin/master | $(PEP8) --diff
+
+coverage:
+	$(COVERAGE) run --source=dulwich -m unittest dulwich.tests.test_suite dulwich.contrib.test_suite
+
+coverage-html: coverage
+	$(COVERAGE) html

=== debian/changelog ===
dulwich (0.18.5-1) unstable; urgency=high

  * New upstream release.
   + Prevents setting SSH arguments from SSH URLs when using SSH through a
     subprocess. Note that Dulwich doesn't support cloning submodules.
     (CVE 2017-1000117)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Oct 2017 16:44:59 +0000

dulwich (0.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.1.1 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Oct 2017 01:57:31 +0100

dulwich (0.18.3-2) unstable; urgency=medium

  * Fix dh_install invocation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 28 Sep 2017 00:47:21 +0100

dulwich (0.18.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Sep 2017 02:26:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.dulwich.io/
 Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9.20160114), python-unittest2, git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32], python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git

=== debian/rules ===
--- 
+++ 
@@ -41,18 +41,14 @@
 	rm -rf debian/tmp/usr/lib/pypy/bin
 endif
 	# Install everything excluding the *_d.so debug extensions to python-dulwich and python3-dulwich
-	dh_install -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python2*/*-packages" -p python-dulwich
-	dh_install -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python3*/*-packages" -p python3-dulwich
-	# Install the debug extensions to python-dulwich-dbg
-	dh_install "debian/tmp/usr/lib/python*/*-packages/dulwich/*_d.so" -p python-dulwich-dbg
+	dh_install -p python-dulwich -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python2*/*-packages"
+	dh_install -p python3-dulwich -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python3*/*-packages"
 ifneq (,$(findstring pypy,$(pyflavours)))
 	# Install the pypy files to pypy-dulwich
-	dh_install "debian/tmp/usr/lib/pypy/" -p pypy-dulwich
+	dh_install -p pypy-dulwich "debian/tmp/usr/lib/pypy/"
 endif
 
 override_dh_installdocs:
-	dh_installdocs -ppython-dulwich-dbg --link-doc=python-dulwich
-	dh_installdocs -ppython3-dulwich-dbg --link-doc=python3-dulwich
 	dh_installdocs -ppython-dulwich docs/tutorial -X.gitignore -XMakefile
 	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile
 ifneq (,$(findstring pypy,$(pyflavours)))

=== debian/tests/control ===
Tests: testsuite2
Depends: python-dulwich, git
Restrictions: allow-stderr

Tests: testsuite3
Depends: python3-dulwich, git
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
	 http://pypi.debian.net/dulwich/dulwich-(.*).tar.gz

## dulwich 0.19.6

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-PYTHON = python
+PYTHON = python -Werror
 PYFLAKES = pyflakes
 PEP8 = pep8
 FLAKE8 ?= flake8
 SETUP = $(PYTHON) setup.py
 PYDOCTOR ?= pydoctor
 TESTRUNNER ?= unittest
-RUNTEST = PYTHONHASHSEED=random PYTHONPATH=.:$(PYTHONPATH) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
+RUNTEST = PYTHONHASHSEED=random PYTHONPATH=$(shell pwd)$(if $(PYTHONPATH),:$(PYTHONPATH),) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
 COVERAGE = python3-coverage
 
 DESTDIR=/
@@ -65,7 +65,7 @@
 	git diff origin/master | $(PEP8) --diff
 
 coverage:
-	$(COVERAGE) run --source=dulwich -m unittest dulwich.tests.test_suite dulwich.contrib.test_suite
+	$(COVERAGE) run -m unittest dulwich.tests.test_suite dulwich.contrib.test_suite
 
 coverage-html: coverage
 	$(COVERAGE) html

=== debian/changelog ===
dulwich (0.19.6-2) unstable; urgency=medium

  * Add patch 02_newer_git, fixing compatibility with newer versions of
    git. Closes: #907954

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Sep 2018 21:23:16 +0100

dulwich (0.19.6-1) unstable; urgency=medium

  * Migrate to pybuild.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Aug 2018 14:55:11 +0100

dulwich (0.19.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Jul 2018 13:48:28 +0100

dulwich (0.19.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Jun 2018 01:42:09 +0100

dulwich (0.19.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Jelmer Vernooĳ ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 17 Jun 2018 19:50:22 +0100

dulwich (0.19.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Jelmer Vernooĳ ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 06 Apr 2018 00:45:23 +0100

dulwich (0.19.0-2) unstable; urgency=medium

  * Add missing dependencies on urllib3 and certifi.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Mar 2018 18:18:11 +0000

dulwich (0.19.0-1) unstable; urgency=medium

  * New upstream release.
   + Add dependencies on python-certifi and python-urllib3.
  * Add 01_no_urllib3_pypy: disable HTTP on pypy, since pypy-urllib3
    doesn't exist.
  * Reorder paragraphs in copyright to make lintian happy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Mar 2018 21:31:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,14 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.dulwich.io/
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9.20160114), python-unittest2, git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32], python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python
+Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9.20160114), python-unittest2, git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32], python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python, python-certifi, python3-certifi, python-urllib3, python3-urllib3
 Standards-Version: 4.1.1
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dulwich.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dulwich.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/python-team/modules/dulwich.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dulwich
 
 Package: python-dulwich
 Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-urllib3, python-certifi
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python-fastimport
 Description: Python Git library
@@ -48,7 +45,7 @@
 
 Package: python3-dulwich
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-urllib3, python3-certifi
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python3-fastimport
 Description: Python Git library - Python3 module

## dulwich 0.19.9

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	$(PEP8) dulwich
 
 style:
-	$(FLAKE8) --exclude=build,.git,build-pypy,.tox
+	$(FLAKE8)
 
 before-push: check
 	git diff origin/master | $(PEP8) --diff

=== requirements.txt ===
urllib3[secure]==1.22

=== debian/changelog ===
dulwich (0.19.9-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 20:10:47 +0000

dulwich (0.19.9-2) unstable; urgency=medium

  * Stop attempting to build pypy package mips64el, ppc64 and sparc64 -
    where pypy is not available.
  * Add patch 02_skip_flappy_test: Skip flappy test
    dulwich.tests.test_porcelain.PushTests.test_simple, which is subject
    to a race condition. Closes: #913037

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 20 Nov 2018 04:09:22 +0000

dulwich (0.19.9-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Nov 2018 19:38:28 +0000

dulwich (0.19.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Nov 2018 01:52:52 +0000

dulwich (0.19.7-1) unstable; urgency=medium

  * Run wrap-and-sort.
  * New upstream release.
   + Drop patch 02_newer_git: applied upstream.
  * Bump standards version to 4.2.1
  * Bump debhelper version to 11.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 05 Nov 2018 19:27:07 +0000

dulwich (0.19.6-3) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Install example scripts.
  * Don't build pypy package on hppa, powerpcspe.
  * Don't run tests against C git on ia64 (unavailable).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Sep 2018 00:25:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,32 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.dulwich.io/
-Build-Depends: python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), python3-all-dev, python3-all-dbg, debhelper (>= 9.20160114), python-unittest2, git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32], python-fastimport (>= 0.9.0~bzr293), python3-fastimport, pypy-dev [!hurd-any !m68k !sh4 !x32], dh-python, python-certifi, python3-certifi, python-urllib3, python3-urllib3
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32 !ia64],
+               pypy-dev [alpha amd64 arm64 armel armhf i386 mips powerpc ppc64el s390x],
+               python-all-dbg (>= 2.6.6-3),
+               python-all-dev (>= 2.6.6-3),
+               python-certifi,
+               python-fastimport (>= 0.9.0~bzr293),
+               python-unittest2,
+               python-urllib3,
+               python3-all-dbg,
+               python3-all-dev,
+               python3-certifi,
+               python3-fastimport,
+               python3-urllib3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dulwich
 
 Package: python-dulwich
 Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-urllib3, python-certifi
+Depends: python-certifi,
+         python-urllib3,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python-fastimport
 Description: Python Git library
@@ -27,9 +45,9 @@
  This package contains the module built for Python version 2.x.
 
 Package: pypy-dulwich
-Architecture: amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x alpha hppa kfreebsd-any powerpc powerpcspe ppc64 sparc64
+Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
 Provides: ${pypy:Provides}
-Depends: ${pypy:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${pypy:Depends}, ${shlibs:Depends}
 Recommends: pypy-fastimport
 Description: Python Git library - pypy module
  Dulwich is a Python implementation of the file formats and protocols
@@ -45,7 +63,11 @@
 
 Package: python3-dulwich
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-urllib3, python3-certifi
+Depends: python3-certifi,
+         python3-urllib3,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python3-fastimport
 Description: Python Git library - Python3 module

## dulwich 0.19.10

=== debian/changelog ===
dulwich (0.19.10-1) unstable; urgency=medium

  * Suggest python{,3}-gpg, for tag signing support.
  * Add CI/CD configuration for Salsa.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Jan 2019 02:44:02 +0000

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
          ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python-fastimport
+Suggests: python-gpg
 Description: Python Git library
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write
@@ -70,6 +71,7 @@
          ${shlibs:Depends}
 Breaks: bzr-git (<< 0.6.2)
 Recommends: python3-fastimport
+Suggests: python3-gpg
 Description: Python Git library - Python3 module
  Dulwich is a Python implementation of the file formats and protocols
  used by the Git version control system. It can currently read from and write

## dulwich 0.19.11

=== requirements.txt ===
urllib3[secure]>=1.23

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pdf       to make PDF document"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

apidocs:
	sphinx-apidoc -feM -s txt -o api ../dulwich

html: apidocs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: apidocs
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle: apidocs
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: apidocs
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: apidocs
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: apidocs
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dulwich.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dulwich.qhc"

latex: apidocs
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: apidocs
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "Build finished. The PDF files are in $(BUILDDIR)/pdf."

=== debian/changelog ===
dulwich (0.19.11-2) unstable; urgency=medium

  * Re-export upstream signing key without extra signatures.
  * Add Breaks: for older versions of breezy/bzr-git since they use
    Dulwich' private packs API, which has changed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 12 Feb 2019 01:33:14 +0000

dulwich (0.19.11-1) unstable; urgency=medium

  * New upstream version.
  * Add patch 03_default_identity.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Feb 2019 03:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Breaks: bzr-git (<< 0.6.2)
+Breaks: bzr-git (<< 0.6.13+bzr1650), python-breezy (<< 3.0.0~bzr7268)
 Recommends: python-fastimport
 Suggests: python-gpg
 Description: Python Git library
@@ -69,7 +69,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Breaks: bzr-git (<< 0.6.2)
+Breaks: python3-breezy (<< 3.0.0~bzr7268)
 Recommends: python3-fastimport
 Suggests: python3-gpg
 Description: Python Git library - Python3 module

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 pyflavours = python2,python3$(shell which pypy >/dev/null && echo -n ,pypy)
 
 %:
-	dh $* --with $(pyflavours) --buildsystem=python_distutils
+	dh $* --with $(pyflavours) --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## dulwich 0.19.15

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PEP8 = pep8
 FLAKE8 ?= flake8
 SETUP = $(PYTHON) setup.py
-PYDOCTOR ?= pydoctor
 TESTRUNNER ?= unittest
 RUNTEST = PYTHONHASHSEED=random PYTHONPATH=$(shell pwd)$(if $(PYTHONPATH),:$(PYTHONPATH),) $(PYTHON) -m $(TESTRUNNER) $(TEST_OPTIONS)
 COVERAGE = python3-coverage
@@ -12,14 +11,10 @@
 
 all: build
 
-doc:: pydoctor
 doc:: sphinx
 
 sphinx::
 	$(MAKE) -C docs html
-
-pydoctor::
-	$(PYDOCTOR) --make-html -c dulwich.cfg
 
 build::
 	$(SETUP) build

=== debian/changelog ===
dulwich (0.19.15-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:32 +0100

dulwich (0.19.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 03_cleanup_mode: applied upstream.
  * Drop patch 04_s390x: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Jan 2020 19:43:54 +0000

dulwich (0.19.14-4) unstable; urgency=medium

  * Team upload.
  * Patch 04_s390x: Fix FTBFS on s390x. Closes: #946854

 -- Stefano Rivera <stefanor@debian.org>  Thu, 26 Dec 2019 10:10:53 +0200

dulwich (0.19.14-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936454

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Dec 2019 17:54:20 -0500

dulwich (0.19.14-2) unstable; urgency=medium

  * Cherry-pick upstream change for cleaning up file modes when
    comparing trees. Closes: #946740

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 13:39:48 +0000

dulwich (0.19.14-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Re-export upstream signing key without extra signatures.

  [ Jelmer Vernooĳ ]
  * New upstream release.
   + Fixes handling of ~ in global gitignore. Closes: #933192
  * Drop build-dependency on python-fastimport.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 Nov 2019 18:34:47 +0000

dulwich (0.19.13-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Aug 2019 21:22:50 +0000

dulwich (0.19.12-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Depend on at least urllib3 >= 1.24.1, as older versions lack
    HTTPResponse.geturl().
  * New upstream release.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Jelmer Vernooĳ ]
  * Bump debhelper from old 11 to 12.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Aug 2019 19:55:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,46 +4,18 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.dulwich.io/
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32 !ia64],
                pypy-dev [alpha amd64 arm64 armel armhf i386 mips powerpc ppc64el s390x],
-               python-all-dbg (>= 2.6.6-3),
-               python-all-dev (>= 2.6.6-3),
-               python-certifi,
-               python-fastimport (>= 0.9.0~bzr293),
-               python-unittest2,
-               python-urllib3,
                python3-all-dbg,
                python3-all-dev,
                python3-certifi,
                python3-fastimport,
-               python3-urllib3
+               python3-urllib3 (>= 1.24.1)
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dulwich
-
-Package: python-dulwich
-Architecture: any
-Depends: python-certifi,
-         python-urllib3,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Breaks: bzr-git (<< 0.6.13+bzr1650), python-breezy (<< 3.0.0~bzr7268)
-Recommends: python-fastimport
-Suggests: python-gpg
-Description: Python Git library
- Dulwich is a Python implementation of the file formats and protocols
- used by the Git version control system. It can currently read from and write
- to existing Git repositories and implements the protocol for pushing and
- receiving packs from remote servers.
- .
- All functionality is available in pure Python, but for improved performance
- replacements of some modules written in C are also available. This package
- includes the high performance versions.
- .
- This package contains the module built for Python version 2.x.
 
 Package: pypy-dulwich
 Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
@@ -65,7 +37,7 @@
 Package: python3-dulwich
 Architecture: any
 Depends: python3-certifi,
-         python3-urllib3,
+         python3-urllib3 (>= 1.24.1),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
 pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)
 
-pyflavours = python2,python3$(shell which pypy >/dev/null && echo -n ,pypy)
+pyflavours = python3$(shell which pypy >/dev/null && echo -n ,pypy)
 
 %:
 	dh $* --with $(pyflavours) --buildsystem=pybuild
@@ -24,7 +24,6 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check PYTHON=python
 	$(MAKE) check PYTHON=python3
 ifneq (,$(findstring pypy,$(pyflavours)))
 	$(MAKE) check PYTHON=pypy
@@ -41,7 +40,6 @@
 	rm -rf debian/tmp/usr/lib/pypy/bin
 endif
 	# Install everything excluding the *_d.so debug extensions to python-dulwich and python3-dulwich
-	dh_install -p python-dulwich -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python2*/*-packages"
 	dh_install -p python3-dulwich -X"*_d.so" -Xpypy "debian/tmp/usr/lib/python3*/*-packages"
 ifneq (,$(findstring pypy,$(pyflavours)))
 	# Install the pypy files to pypy-dulwich
@@ -49,14 +47,12 @@
 endif
 
 override_dh_installdocs:
-	dh_installdocs -ppython-dulwich docs/tutorial -X.gitignore -XMakefile
 	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile
 ifneq (,$(findstring pypy,$(pyflavours)))
 	dh_installdocs -ppypy-dulwich docs/tutorial -X.gitignore -XMakefile
 endif
 
 override_dh_strip:
-	dh_strip -p python-dulwich --dbgsym-migration='python-dulwich-dbg (<< 0.16.4-1)'
 	dh_strip -p python3-dulwich --dbgsym-migration='python3-dulwich-dbg (<< 0.16.4-1)'
 ifneq (,$(findstring pypy,$(pyflavours)))
 	dh_strip -p pypy-dulwich

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
	 https://pypi.debian.net/dulwich/dulwich-(.*).tar.gz

## dulwich 0.20.2

=== debian/changelog ===
dulwich (0.20.2-1) unstable; urgency=medium

  * New upstream release.
  + Drop patch 01_no_urllib3_pypy: applied upstream.
  * Drop pypy-dulwich package.
  * Set Rules-Requires-Root: no.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Jun 2020 00:30:41 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32 !ia64],
-               pypy-dev [alpha amd64 arm64 armel armhf i386 mips powerpc ppc64el s390x],
                python3-all-dbg,
                python3-all-dev,
                python3-certifi,
@@ -16,23 +15,7 @@
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/dulwich.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dulwich
-
-Package: pypy-dulwich
-Architecture: alpha amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
-Provides: ${pypy:Provides}
-Depends: ${misc:Depends}, ${pypy:Depends}, ${shlibs:Depends}
-Recommends: pypy-fastimport
-Description: Python Git library - pypy module
- Dulwich is a Python implementation of the file formats and protocols
- used by the Git version control system. It can currently read from and write
- to existing Git repositories and implements the protocol for pushing and
- receiving packs from remote servers.
- .
- All functionality is available in pure Python, but for improved performance
- replacements of some modules written in C are also available. This package
- includes the high performance versions.
- .
- This package contains the module built for pypy.
+Rules-Requires-Root: no
 
 Package: python3-dulwich
 Architecture: any

## dulwich 0.20.8

=== debian/changelog ===
dulwich (0.20.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jelmer Vernooij ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on git.

  [ Jelmer Vernooĳ ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 Nov 2020 00:11:37 +0000

dulwich (0.20.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip DulwichTCPClientTest for a first build with Python 3.9. See #971118.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Oct 2020 12:28:19 +0200

dulwich (0.20.6-1) unstable; urgency=medium

  * New upstream release.
   + Fixes broken branch removal test. Closes: #956876
  * Bump standards version to 4.5.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 29 Aug 2020 22:13:38 +0000

dulwich (0.20.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Jun 2020 01:55:55 +0000

## dulwich 0.20.15

=== debian/changelog ===
dulwich (0.20.15-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Remove 3 unused lintian overrides.

  [ Jelmer Vernooĳ ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Dec 2020 01:28:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: dulwich
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.dulwich.io/
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               git (>= 1:1.7.0.4-2) [!alpha !ppc64 !sparc64 !x32 !ia64],
+               git [!alpha !ppc64 !sparc64 !x32 !ia64],
                python3-all-dbg,
                python3-all-dev,
                python3-certifi,
                python3-fastimport,
                python3-urllib3 (>= 1.24.1)
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/dulwich.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dulwich
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/dulwich.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dulwich
 Rules-Requires-Root: no
 
 Package: python3-dulwich

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $* --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check PYTHON=python3
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build*
	rm -f dulwich/*.so dulwich/*.o

override_dh_installdocs:
	dh_installdocs -ppython3-dulwich docs/tutorial -X.gitignore -XMakefile

override_dh_strip:
	dh_strip -p python3-dulwich --dbgsym-migration='python3-dulwich-dbg (<< 0.16.4-1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: testsuite3
Depends: python3-dulwich, git
Restrictions: allow-stderr
